Fetch API
Introduction
The Fetch API is used to retrieve or ‘fetch’ certain details from the PAN Number of individual
The Following details are fetched:
- Name of the PAN holder
- PAN Number
- Type of Holder
- Whether holder is Individual
- PAN Status
- Last updated on
How to call the API
You will need to login before sending Pan V2 Fetch API request. You must first login before sending the request. The authorization header in the request must include the access token obtained from the login API call for Pan V2 Fetch API along with other parameters.
API Input Guidelines
- PAN number in Upper/Lower case
CURL Request
curl --location --request POST 'https://signzy.tech/api/v2/patrons/<Patron ID>/panv2' \
--header 'Authorization: <Auth Key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"task": "fetch",
"essentials": {
"number": "<PAN Number>"
}
}'Response Parameters
Parameters Name | Data Type | Description |
|---|---|---|
result.name | String | Name of PAN holder |
result.number | String | PAN Number |
result.typeOfHolder | String | For incometax a Holder is categorized in 10 different categories |
result.isIndividual | Boolean | Whether the PAN holder is individual or not, value is shown as true/false |
result.isValid | Boolean | Entered PAN is valid or not |
result.firstName | String | First name of PAN holder |
result.middleName | String | Middle name of PAN holder |
result.lastName | String | Last name of PAN holder |
result.title | String | It is honouring word used in front of names man/women |
result.panStatus | String | Status of PAN whether valid/invalid |
result.panStatusCode | String | PAN status code |
result.aadhaarSeedingStatus | String | The process of linking the 12 digits AADHAAR number of persons with their personal identification documents like MNREGA Job Card, Pension ID, scholarships etc is Aadhaar seeding. This parameter shows whether it is done or not |
result.aadhaarSeedingStatusCode | String | Y/N |
result.lastUpdatedOn | String | Date on which last updated on |
Pan Card Status
STATUS CODE | STATUS |
|---|---|
E | VALID |
F | FAKE |
X | DEACTIVATED |
D | DELETED |
N | INVALID |
EA | AMALGAMATION |
EC | ACQUISITION |
ED | DEATH |
EI | DISSOLUTION |
EL | LIQUIDATED |
EM | MERGER |
EP | PARTITION |
ES | SPLIT |
EU | UNDER LIQUIDATION |
I | INOPERATIVE |
Aadhaar Seeding Status
Status Code | Status |
|---|---|
Y | Successful |
R | UnSuccessful |
Blank | Aadhaar is not seeded |
NA | Not applicable |
Type of Holder
STATUS CODE | STATUS |
|---|---|
A | Association of persons (AOP) |
B | Body of individuals (BOI) |
C | Company |
F | Firm |
G | Government |
H | HUF (Hindu undivided family) |
L | Local authority |
J | Artificial juridical person |
P | Individual or Person |
T | Trust |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].